<?php // Do not delete these lines
	if (isset($_SERVER['SCRIPT_FILENAME']) && 'comments.php' == basename($_SERVER['SCRIPT_FILENAME']))
		die ('Please do not load this page directly. Thanks!');
	
	if ( post_password_required() ) { ?>		
<p class="nocomments">
  <?php _e('This post is password protected. Enter the password to view comments.'); ?>
</p>  	
<?php
		return;
	}
?>
<!-- You can start editing here. -->
<?php if ( have_comments() ) : ?><br />	
<?php if ( ! empty($comments_by_type['comment']) ) : ?>
<h3 id="comments">
<?php comments_number(__('No Comments'), __('1 Comment'), __('% Comments')); ?>.
</h3>	
<div class="navigation">		
  <div class="alignleft">
    <?php previous_comments_link() ?>
  </div>		
  <div class="alignright">
    <?php next_comments_link() ?>
  </div>	
</div>	
<ul class="commentlist">
  <?php wp_list_comments('type=comment&callback=mytheme_comment'); ?>	
</ul>
<?php endif; ?>
<?php if ( ! empty($comments_by_type['pings']) ) : ?>
   <h3 id="pings">Trackbacks/Pingbacks</h3>
   <ol class="commentlist">  
  <?php wp_list_comments('type=pings'); ?>   
</ol>
<?php endif; ?>
   <div class="navigation">		
  <div class="alignleft">
    <?php previous_comments_link() ?>
  </div>		
  <div class="alignright">
    <?php next_comments_link() ?>
  </div>	
</div> 
<?php else : // this is displayed if there are no comments so far ?>	
<?php if ('open' == $post->comment_status) : ?>		
<!-- If comments are open, but there are no comments. -->	 
<?php else : // comments are closed ?>		
<!-- If comments are closed. -->		
<p class="nocomments">
  <?php _e('Comments are closed.'); ?>
</p>	
<?php endif; ?>
<?php endif; ?>
<?php if ('open' == $post->comment_status) : ?><br />
<div id="respond">
  <div id="commentform-background"><br /><h3>
      <?php comment_form_title( __('Leave a Comment'), __('Leave a Comment for %s') ); ?></h3>
    <div id="cancel-comment-reply">  	<small>
        <?php cancel_comment_reply_link() ?></small>
    </div> 
    <?php if ( get_option('comment_registration') && !$user_ID ) : ?>
    <p>
      <?php printf(__('You must be <a href="%s">logged in</a> to post a comment.'), get_option('siteurl') . '/wp-login.php?redirect_to=' . urlencode(get_permalink())); ?>
    </p>
    <?php else : ?>
    <form action="<?php echo get_option('siteurl'); ?>/wp-comments-post.php" method="post" id="commentform">
      <?php if ( $user_ID ) : ?>
      <p>
        <?php printf(__('Logged in as <a href="%1$s">%2$s</a>.'), get_option('siteurl') . '/wp-admin/profile.php', $user_identity); ?> 
        <a href="<?php echo wp_logout_url(get_permalink()); ?>" title="<?php _e('Log out of this account'); ?>">
          <?php _e('Log out &raquo;'); ?></a>
      </p>
      <?php else : ?>
      <p>
        <input type="text" name="author" id="author" value="<?php echo $comment_author; ?>" size="22" tabindex="1" <?php if ($req) echo ""; ?> />
        <label for="author">
          <?php _e('Name'); ?> 
          <?php if ($req) _e("(required)"); ?>
        </label>
      </p>
      <p>
        <input type="text" name="email" id="email" value="<?php echo $comment_author_email; ?>" size="22" tabindex="2" <?php if ($req) echo ""; ?> />
        <label for="email">
          <?php _e('Mail (will not be published)'); ?> 
          <?php if ($req) _e("(required)"); ?>
        </label>
      </p>
      <p>
        <input type="text" name="url" id="url" value="<?php echo $comment_author_url; ?>" size="22" tabindex="3" />
        <label for="url">
          <?php _e('Website'); ?>
        </label>
      </p>
      <?php endif; ?>
      <!-- <p><small><?php printf(__('<strong>XHTML:</strong> You can use these tags: <code>%s</code>'), allowed_tags()); ?></small></p> -->
      <p>
<textarea name="comment" id="comment" cols="100%" rows="10" tabindex="4"></textarea>
      </p>
      <p>
        <input name="submit" type="submit" id="submit" tabindex="5" value="<?php // _e('Submit Comment'); ?>" />
        <input name="reset" type="reset" id="reset" tabindex="6" value="<?php // _e('Clear'); ?>" />
        <?php comment_id_fields(); ?> 
      </p>
      <?php do_action('comment_form', $post->ID); ?>
    </form>
    <?php endif; // If registration required and not logged in ?><br /><br />
  </div>
</div>
<?php endif; // if you delete this the sky will fall on your head ?>
