<?php


/* custom excerpt */
function new_excerpt_length($length) {
$mylength = get_option('pxio_excerpt_lenght');
return $mylength;
}

add_filter('excerpt_length', 'new_excerpt_length');

function elpie_excerpt($text)
{
return str_replace('[...]', '<a class="more-link" title="'. get_the_title() .'" href="'. get_permalink($post->ID) . '">' . '&raquo; read more.' . '</a>', $text);
}

add_filter('the_excerpt', 'elpie_excerpt');
/* end custom excerpt */

/* custom gravatar */
add_filter( 'avatar_defaults', 'palmixio_addgravatar' );
function palmixio_addgravatar( $avatar_defaults ) {
$myavatar = get_bloginfo('template_directory') . '/images/gravatar.png';
$avatar_defaults[$myavatar] = 'palmixio';
return $avatar_defaults;
}
/* end gravatar */
function mytheme_comment($comment, $args, $depth) {
 $GLOBALS['comment'] = $comment; ?> 
<li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>" > 
<div id="comment-<?php comment_ID(); ?>"> 
<div class="comment-author vcard"> 
<?php echo get_avatar($comment,$size='48'); ?> 
<?php printf(__('<cite class="fn">%s</cite> <span class="says">says:</span>'), get_comment_author_link()) ?>
</div> 
<?php if ($comment->comment_approved == '0') : ?>
<em>
<?php _e('Your comment is awaiting moderation.') ?>
</em> <br /> 
<?php endif; ?> 
<div class="comment-meta commentmetadata">
<a href="<?php echo htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ?>"> 
<?php printf(__('%1$s at %2$s'), get_comment_date(),get_comment_time()) ?></a>
<?php edit_comment_link(__('(Edit)'),'','') ?>
</div> 
<?php comment_text() ?> 
<div class="reply">
<?php comment_reply_link( array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth']))) ?> 
</div>
</div>
<?php
}
// begin widget setting

if ( function_exists('register_sidebars') ) 

register_sidebar( array(
		'name' => 'Sidebar Area',
	   'before_widget' => '<div id="%1$s" class="backgroundlist %2$s"><div class="listtitle">', 
      'after_widget' => '</div></div>',
      'before_title' => '<div class="tlbackgroundtitle"></div>
      <div class="trbackgroundtitle"></div><h2>',
      'after_title' => '</h2>
      <div class="blbackgroundtitle"></div>
      <div class="brbackgroundtitle"></div>
      </div><div class="contentbox">',	
      ));
register_sidebar( array(
		'name' => 'Footer Area',
	   'before_widget' => '<div id="%1$s" class="backgroundlist %2$s"><div class="listtitle">', 
      'after_widget' => '</div></div>',
      'before_title' => '<div class="tlbackgroundtitle"></div>
      <div class="trbackgroundtitle"></div><h2>',
      'after_title' => '</h2>
      <div class="blbackgroundtitle"></div>
      <div class="brbackgroundtitle"></div>
      </div><div class="contentbox">',	
      ));
      


// close widget setting

//-----------------
$themename ="Palmixio";
$themefile = strtolower($themename);
$shortname ="pxio";
$yoururl = get_option('siteurl');



//------ begin breadcrumb
function breadcrumbs() {
    $theFullUrl = $_SERVER["REQUEST_URI"];
    $urlArray=explode("/",$theFullUrl);
    echo '<li style="color:#3f3f3f;" class="pbeadbutton-menu"><span>You Are Here</span></li><li><a href="/">Home</a></li>';
    while (list($j,$text) = each($urlArray)) {
        $dir="";
        if ($j > 1) {
            $i=1;
            while ($i < $j) {
                $dir .= '/' . $urlArray[$i];
                $text = $urlArray[$i];
                $i++;
            }
            if($j < count($urlArray)-1) echo '<li><a rel="nofollow" href="'.$dir.'">' . str_replace("-", " ", $text) . '</a></li>';
        }
    }
    if(is_home()) {
    } elseif (is_search()) {
    echo '<li class="pbeadbutton-menu"><span>'; echo _e("Search Results"); echo '</span></li>';
    } else {
    echo '<li class="pbeadbutton-menu"><span>'; echo wp_title('',true); echo '</span></li>';
    }
    
} 

//------ end breadcrumb

$banstr = '<img src="'. get_template_directory_uri() .'/images/banner125x125.png" width="125" height="125" alt="banner" />';

if ( version_compare( substr($wp_version, 0, 3), '2.9', '>=') ) {
// post image thumbnails, only for Wordpress 2.9 or higher

if ( function_exists( 'add_theme_support' ) ) add_theme_support( 'post-thumbnails' );

add_filter( 'post_thumbnail_html', 'my_post_image_html', 10, 3 );
function my_post_image_html( $html, $post_id, $post_image_id ) {
$html = '<a href="' . get_permalink( $post_id ) . '" title="' . esc_attr( get_post_field( 'post_title', $post_id ) ) . '">' . $html . '</a>';
return $html;
}

} 

$options = array (
array(
	 	"name" =>"option banner 125 x 125",
			"id" => $shortname."_option_banner125x125",
"type" =>"optionbanner125x125",
"std" =>"false"),
array(
	 	"name" =>"option title box banner",
			"id" => $shortname."_option_title_banner",
"type" =>"optiontitlebanner",
"std" =>"Sponsors"),
array(
	 	"name" =>"option b125tl",
			"id" => $shortname."_option_b125tl",
"type" =>"optionb125tl",
"std" =>""),
array(
	 	"name" =>"option b125tr",
			"id" => $shortname."_option_b125tr",
"type" =>"optionb125tr",
"std" =>""),
array(
	 	"name" =>"option b125tl",
			"id" => $shortname."_option_b125bl",
"type" =>"optionb125bl",
"std" =>""),
array(
	 	"name" =>"option b125tl",
			"id" => $shortname."_option_b125br",
"type" =>"optionb125br",
"std" =>""),
array(
	 	"name" =>"option menu",
			"id" => $shortname."_option_menu",
"type" =>"optionmenu",
"std" =>""),
array(
	 	"name" =>"enable login",
			"desc" =>"Check this box if you would like enable login.",
"id" => $shortname."_login",
"type" =>"checkboxlogin",
"std" =>"false"),
array(
	 	"name" =>"enable register",
			"desc" =>"Check this box if you would like enable register.",
"id" => $shortname."_register",
"type" =>"checkboxregister",
"std" =>"false"),
array(
	 	"name" =>"desable home",
			"desc" =>"Check this box if you would like desable home.",
"id" => $shortname."_home",
"type" =>"checkboxhome",
"std" =>"false"),

array(
	 	"name" =>"option breadcrumbs",
			"id" => $shortname."_option_breadcrumbs",
"type" =>"optionbreadcrumbs",
"std" =>"false"),
// icons 
array(
	 	"name" =>"enable icon",
			"desc" =>"Check this box if you would like enable icon.",
"id" => $shortname."_icon_twitter",
"type" =>"checkbox1",
"std" =>"false"),
 array(
	 	"name" =>"twitter page link",
			"id" => $shortname."_link_twitter",
"type" =>"link1",
"std" =>""),
 array(
	 	"name" =>"enable icon",
			"desc" =>"Check this box if you would like enable icon.",
"id" => $shortname."_icon_facebook",
"type" =>"checkbox2",
"std" =>"false"),
 array(
"name" =>"facebook page link",
"id" => $shortname."_link_facebook",
"type" =>"link2",
"std" =>""),
 array(
	 	"name" =>"enable icon",
			"desc" =>"Check this box if you would like enable icon.",
"id" => $shortname."_icon_linkedin",
"type" =>"checkbox3",
"std" =>"false"),
 array(
	 	"name" =>"linkedin page link",
			"id" => $shortname."_link_linkedin",
"type" =>"link3",
"std" =>""),
 array(
	 	"name" =>"enable icon",
			"desc" =>"Check this box if you would like enable icon.",
"id" => $shortname."_icon_myspace",
"type" =>"checkbox4",
"std" =>"false"),
array(
	 	"name" =>"myspace page link",
			"id" => $shortname."_link_myspace",
"type" =>"link4",
"std" =>""),
 array(
	 	"name" =>"enable icon",
			"desc" =>"Check this box if you would like enable icon.",
"id" => $shortname."_icon_blogmarks",
"type" =>"checkbox5",
"std" =>"false"),
array(
	 	"name" =>"blogmarks page link",
			"id" => $shortname."_link_blogmarks",
"type" =>"link5",
"std" =>""),
 array(
	 	"name" =>"enable icon",
			"desc" =>"Check this box if you would like enable icon.",
"id" => $shortname."_icon_delicious",
"type" =>"checkbox6",
"std" =>"false"),
 array(
	 	"name" =>"delicious page link",
			"id" => $shortname."_link_delicious",
"type" =>"link6",
"std" =>""),
 array(
	 	"name" =>"enable icon",
			"desc" =>"Check this box if you would like enable icon.",
"id" => $shortname."_icon_digg",
"type" =>"checkbox7",
"std" =>"false"),
 array(
	 	"name" =>"digg page link",
			"id" => $shortname."_link_digg",
"type" =>"link7",
"std" =>""),
 array(
	 	"name" =>"enable icon",
			"desc" =>"Check this box if you would like enable icon.",
"id" => $shortname."_icon_feedburner",
"type" =>"checkbox8",
"std" =>"false"),
 array(
	 	"name" =>"feedburner page link",
			"id" => $shortname."_link_feedburner",
"type" =>"link8",
"std" =>""),
//
array(
	 	"name" =>"enable icon",
			"desc" =>"Check this box if you would like enable icon.",
"id" => $shortname."_icon_flickr",
"type" =>"checkbox9",
"std" =>"false"),
 array(
	 	"name" =>"flickr page link",
			"id" => $shortname."_link_flickr",
"type" =>"link9",
"std" =>""),
 array(
	 	"name" =>"enable icon",
			"desc" =>"Check this box if you would like enable icon.",
"id" => $shortname."_icon_friendfeed",
"type" =>"checkbox10",
"std" =>"false"),
array(
	 	"name" =>"friendfeed page link",
			"id" => $shortname."_link_friendfeed",
"type" =>"link10",
"std" =>""),
 array(
	 	"name" =>"enable icon",
			"desc" =>"Check this box if you would like enable icon.",
"id" => $shortname."_icon_furl",
"type" =>"checkbox11",
"std" =>"false"),
array(
	 	"name" =>"furl page link",
			"id" => $shortname."_link_furl",
"type" =>"link11",
"std" =>""),
 array(
	 	"name" =>"enable icon",
			"desc" =>"Check this box if you would like enable icon.",
"id" => $shortname."_icon_gmail",
"type" =>"checkbox12",
"std" =>"false"),
 array(
	 	"name" =>"gmail page link",
			"id" => $shortname."_link_gmail",
"type" =>"link12",
"std" =>""),
 array(
	 	"name" =>"enable icon",
			"desc" =>"Check this box if you would like enable icon.",
"id" => $shortname."_icon_google",
"type" =>"checkbox13",
"std" =>"false"),
 array(
	 	"name" =>"google page link",
			"id" => $shortname."_link_google",
"type" =>"link13",
"std" =>""),
 array(
	 	"name" =>"enable icon",
			"desc" =>"Check this box if you would like enable icon.",
"id" => $shortname."_icon_lastfm",
"type" =>"checkbox14",
"std" =>"false"),
 array(
	 	"name" =>"lastfm page link",
			"id" => $shortname."_link_lastfm",
"type" =>"link14",
"std" =>""),
 array(
	 	"name" =>"enable icon",
			"desc" =>"Check this box if you would like enable icon.",
"id" => $shortname."_icon_misterwong",
"type" =>"checkbox15",
"std" =>"false"),
 array(
	 	"name" =>"misterwong page link",
			"id" => $shortname."_link_misterwong",
"type" =>"link15",
"std" =>""),
 array(
	 	"name" =>"enable icon",
			"desc" =>"Check this box if you would like enable icon.",
"id" => $shortname."_icon_netvibes",
"type" =>"checkbox16",
"std" =>"false"),
 array(
	 	"name" =>"netvibes page link",
			"id" => $shortname."_link_netvibes",
"type" =>"link16",
"std" =>""),
 array(
	 	"name" =>"enable icon",
			"desc" =>"Check this box if you would like enable icon.",
"id" =>$shortname."_icon_newsvine",
"type" =>"checkbox17",
"std" =>"false"),
 array(
	 	"name" =>"newsvine page link",
			"id" =>$shortname."_link_newsvine",
"type" =>"link17",
"std" =>""),
 array(
	 	"name" =>"enable icon",
			"desc" =>"Check this box if you would like enable icon.",
"id" => $shortname."_icon_reddit",
"type" =>"checkbox18",
"std" =>"false"),
 array(
	 	"name" =>"reddit page link",
			"id" => $shortname."_link_reddit",
"type" =>"link18",
"std" =>""),
 array(
	 	"name" =>"enable icon",
			"desc" =>"Check this box if you would like enable icon.",
"id" => $shortname."_icon_simpy",
"type" =>"checkbox19",
"std" =>"false"),
 array(
	 	"name" =>"simpy page link",
			"id" => $shortname."_link_simpy",
"type" =>"link19",
"std" =>""),
 array(
	 	"name" =>"enable icon",
			"desc" =>"Check this box if you would like enable icon.",
"id" => $shortname."_icon_stumbleupon",
"type" =>"checkbox20",
"std" =>"false"),
 array(
	 	"name" =>"stumbleupon page link",
			"id" => $shortname."_link_stumbleupon",
"type" =>"link20",
"std" =>""),
 array(
	 	"name" =>"enable icon",
			"desc" =>"Check this box if you would like enable icon.",
"id" => $shortname."_icon_technorati",
"type" =>"checkbox21",
"std" =>"false"),
 array(
	 	"name" =>"technorati page link",
			"id" => $shortname."_link_technorati",
"type" =>"link21",
"std" =>""),
 array(
	 	"name" =>"enable icon",
			"desc" =>"Check this box if you would like enable icon.",
"id" => $shortname."_icon_yahoo",
"type" =>"checkbox22",
"std" =>"false"),
 array(
	 	"name" =>"yahoo page link",
			"id" => $shortname."_link_yahoo",
"type" =>"link22",
"std" =>""),
 array(
	 	"name" =>"enable icon",
			"desc" =>"Check this box if you would like enable icon.",
"id" => $shortname."_icon_youtube",
"type" =>"checkbox23",
"std" =>"false"),
array(
	 	"name" =>"youtube page link",
			"id" => $shortname."_link_youtube",
"type" =>"link23",
"std" =>""),
 array(
	 	"name" =>"enable icon",
			"desc" =>"Check this box if you would like enable icon.",
"id" => $shortname."_icon_blinklist",
"type" =>"checkbox24",
"std" =>"false"),
 array(
	 	"name" =>"blinklist page link",
			"id" => $shortname."_link_blinklist",
"type" =>"link24",
"std" =>""),
 // end icons

array(
	 	"name" =>"option header",
			"id" => $shortname."_option_header",
"type" =>"optionheader",
"std" =>"false"),
array(  
"name" => "logo header",
"id" => $shortname."_logo_header",
"type" => "logo",
"std" => "logo.png"),	
array(  
"name" => "logo width",
"id" => $shortname."_logo_width",
"type" => "logowidth",
"std" => "560"),
array(  
"name" => "logo height",
"id" => $shortname."_logo_height",
"type" => "logoheight",
"std" => "121"),
array(  
"name" => "logo margin top",
"id" => $shortname."_logo_margintop",
"type" => "logomargintop",
"std" => "40"),
array(  
"name" => "logo margin left",
"id" => $shortname."_logo_marginleft",
"type" => "logomarginleft",
"std" => "20"),
array(  
"name" => "logo alt",
"id" => $shortname."_logo_alt",
"type" => "logoalt",
"std" => "Home"),	
array(  
"name" => "logo link",
"id" => $shortname."_logo_link",
"type" => "logolink",
"std" => $yoururl),
array(  
"name" => "post image thumbnail",
"id" => $shortname."_thumb",
"type" => "thumb",
"std" => "false"),
array(  
"name" => "excerpt or content",
"id" => $shortname."_excerpt_content",
"type" => "excerptorcontent",
"std" => "false"),
array(  
"name" => "post excerpt lenght",
"id" => $shortname."_excerpt_lenght",
"type" => "excerptl",
"std" => "70"),
array(  
"name" => "align thumbnail",
"id" => $shortname."_align_thumbnail",
"type" => "alignthumbnail",
"std" => "false"),
array(  
"name" => "padding thumbnail",
"id" => $shortname."_padding_thumbnail",
"type" => "paddingthumb",
"std" => "15"),
array(  
"name" => "border color thumbnail",
"id" => $shortname."_border_color_thumbnail",
"type" => "bordercolorthumb",
"std" => "C4C6C5"),
array(  
"name" => "background color thumbnail",
"id" => $shortname."_bg_color_thumbnail",
"type" => "paddingcolorthumb",
"std" => "EFEFEF"),
array(  
"name" => "background imgage thumbnail",
"id" => $shortname."_bg_img_thumbnail",
"type" => "imgthumb",
"std" => "false"),
array(  
"name" => "thumbnail in pages",
"id" => $shortname."_thumb_pages",
"type" => "thumbinpages",
"std" => "false"),
array(  
"name" => "thumbnail in single page",
"id" => $shortname."_thumb_single_page",
"type" => "thumbinsinglepage",
"std" => "false"),
array(  
"name" => "thumbnail in single post",
"id" => $shortname."_thumb_single_post",
"type" => "thumbinsinglepost",
"std" => "false"),
array(  
"name" => "thumbnail in archives",
"id" => $shortname."_thumb_archives",
"type" => "thumbinarchives",
"std" => "false"),
array(  
"name" => "enabled border thumbnail in pages",
"id" => $shortname."_border_pages_t",
"type" => "borderpages",
"std" => "false"),
array(  
"name" => "enabled border thumbnail in single page",
"id" => $shortname."_border_page_t",
"type" => "bordersinglepage",
"std" => "false"),
array(  
"name" => "enabled border thumbnail in single post",
"id" => $shortname."_border_post_t",
"type" => "borderpost",
"std" => "false"),
array(  
"name" => "enabled border thumbnail in archives",
"id" => $shortname."_border_archives_t",
"type" => "borderarchives",
"std" => "false"),
array(  
"name" => "size thumbnail pages",
"id" => $shortname."_thumb_size_pages",
"type" => "thumbsizepages",
"std" => "false"),
array(  
"name" => "size thumbnail page",
"id" => $shortname."_thumb_size_single_page",
"type" => "thumbsizesinglepage",
"std" => "false"),
array(  
"name" => "size thumbnail post",
"id" => $shortname."_thumb_size_post",
"type" => "thumbsizesinglepost",
"std" => "false"),
array(  
"name" => "size thumbnail archives",
"id" => $shortname."_thumb_size_archives",
"type" => "thumbsizearchive",
"std" => "false"),
);	

function mytheme_add_admin() {
global $themename, $shortname, $options;
if ( $_GET['page'] == basename(__FILE__) ) {

if ( 'save' == $_REQUEST['action'] ) {
 foreach ($options as $value) {
 update_option( $value['id'], stripslashes($_REQUEST[ $value['id'] ] ));}
 
 foreach ($options as $value) {
 if( isset( $_REQUEST[ $value['id'] ] ) ) { update_option( $value['id'],  stripslashes($_REQUEST[ $value['id'] ] )); } else { delete_option( $value['id'] ); } }
 
	 header("Location: themes.php?page=functions.php&saved=true");
die;
 } else if ( 'reset' == $_REQUEST['action'] ) {
foreach ($options as $value) {
delete_option( $value['id'] );}

header("Location: themes.php?page=functions.php&reset=true");
die;
}

 
}


 add_theme_page($themename." Options","".$themename." Options", 'edit_themes', basename(__FILE__), 'mytheme_admin');
 
}
function mytheme_admin() {
global $themename, $shortname, $options;
if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.$themename.' settings saved.</strong></p></div>';
if ( $_REQUEST['reset'] ) echo '<div id="message" class="updated fade"><p><strong>'.$themename.' settings reset.</strong></p></div>';
?>

<div class="wrap">
<h2>
<?php echo $themename; ?> Options</h2>
<div style="height:120px;background:#FFFEEB;border:1px solid #e6db55;">
<div style="display:inline;width:70%;float:left;margin:0;padding:10px;">
<h3 style="margin:0;padding:0;">Licence</h3>
<p>
Palmixio theme created by <a href="http://www.colixiodesign.com" target="_blank"><b>Colixiodesign</b></a> under the <a target="_blank" href="http://www.gnu.org/licenses/gpl.html">GPL License</a> (<a target="_blank" href="http://en.wikipedia.org/wiki/GNU_General_Public_License">What is the GPL</a>?).
<br />
Please support the developer, consider making a donation. Thanks!. 
<br /><br />
<a title="Palmixio 1.6.2 page" href="http://www.colixiodesign.com/en/2009/palmixio-tema-wordpress-100-free-widget-ready-in-italiano/" target="_blank"><b>Palmixio 1.6.2</b></a>.
</p>
</div><br />
<div style="display:inline;width:197px;float:right;margin:0;padding:0;">
<form action="https://www.paypal.com/cgi-bin/webscr" method="post" target="_blank">
<input type="hidden" name="cmd" value="_s-xclick">
<input type="hidden" name="hosted_button_id" value="8016701">
<input type="image" src="https://www.paypal.com/en_US/GB/i/btn/btn_donateCC_LG.gif" border="0" name="submit" alt="PayPal - The safer, easier way to pay online.">
<img alt="" border="0" src="https://www.paypal.com/it_IT/i/scr/pixel.gif" width="1" height="1">
</form>
</div>
</div>
<br />
<form method="post" enctype="multipart/form-data">


<?php 
foreach ($options as $value) { 
switch ( $value['type'] ) {
case "optionbanner125x125":
?>
<!-- begin setting banner 125x125 -->

<div class="stuffbox" style="margin:0;padding:0;width:100%;">
<p style="width:98.8%;padding:5px;background:#8E8E8E;color:#ffffff;"><strong>Banner Setting</strong></p>
<table width="100%" border="0" style="padding:0;">

<tr><td>
<input style="margin:0 5px;" type="radio" name="<?php echo $value['id']; ?>" type="radio" id="<?php echo $value['id']; ?>" value="1" 
<?php if(get_option( $value['id']) =="1") { echo" checked=\"checked\""; } ?>checked="checked" /></td>
<td style="width:100%;text-align:left;"><b>Check This If You Would Like disabled box adv banner 125x125 (check by default).</b></td>
</tr>
<tr><td>
<input style="margin:0 5px;" type="radio" name="<?php echo $value['id']; ?>" type="radio" id="<?php echo $value['id']; ?>" value="2" 
<?php if(get_option( $value['id']) =="2") { echo" checked=\"checked\""; } ?>/></td>
<td style="width:100%;text-align:left;"><b>Check This If You Would Like enabled box adv banner 125x125.</b></td>
</tr>
</table>
<?php if ( get_option('pxio_option_banner125x125') == "2" ) { ?>
<div style="padding:5px 0 5px 0;width:100%;width:100%; display:block;background:#FFFEEB;">
<?php } else { ?> 
<div style="width:100%; display:none;">
<?php } 
break;
case "optiontitlebanner":

?>

<table width="100%" border="0" style=";padding:5px 10px;">
<tr>  
<td>              
<input style="width:auto;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_option( $value['id'] ) != "") { echo get_option( $value['id'] ); } else { echo $value['std']; } ?>" /></td>              
<td style="width:100%;text-align:left;"> Your title box banner ("Sponsors" by default).</td>          
</tr> 
</table>

 
<?php break;
case "optionb125tl":
?>
<table width="100%" border="0" style="padding:5px 10px;">
<tr><td>
<?php echo '<img style="border:1px solid #3f3f3f;" src="'. get_template_directory_uri() .'/images/bantl.png" />'; ?>
<p style="margin:0; padding:0;">Insert here your code banner 125x125 in top left position and save changes.</p>
</tr></td>
<tr><td> 
<textarea name="<?php echo $value['id']; ?>" style="width:100%;height:100px;" type="<?php echo $value['type']; ?>" cols="" rows="">
<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo htmlspecialchars($value['std']); } ?>
</textarea>
</tr></td>
<?php break;
case "optionb125tr":
?>
<tr><td>
<?php echo '<img style="border:1px solid #3f3f3f;" src="'. get_template_directory_uri() .'/images/bantr.png" />'; ?>
<p style="margin:0; padding:0;">Insert here your code banner 125x125 in top right position and save changes.</p>
</tr></td>
<tr><td>
<textarea name="<?php echo $value['id']; ?>" style="width:100%; height:100px;" type="<?php echo $value['type']; ?>" cols="" rows="">
<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo htmlspecialchars($value['std']); } ?>
</textarea>
</tr></td>
<?php break;
case "optionb125bl":
?><h3><label for="link_url">
<tr><td>
<?php echo '<img style="border:1px solid #3f3f3f;" src="'. get_template_directory_uri() .'/images/banbl.png" />'; ?>
<p style="margin:0; padding:0;">Insert here your code banner 125x125 in bottom left position and save changes.</p>
</tr></td>
<tr><td>
<textarea name="<?php echo $value['id']; ?>" style="width:100%; height:100px;" type="<?php echo $value['type']; ?>" cols="" rows="">
<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo htmlspecialchars($value['std']); } ?>
</textarea>
</tr></td>
<?php break;
case "optionb125br":
?>
<tr><td>
<?php echo '<img style="border:1px solid #3f3f3f;" src="'. get_template_directory_uri() .'/images/banbr.png" />'; ?>
<p style="margin:0; padding:0;">Insert here your code banner 125x125 in bottom right position and save changes.</p>
</tr></td>
<tr><td>
<textarea name="<?php echo $value['id']; ?>" style="width:100%; height:100px;" type="<?php echo $value['type']; ?>" cols="" rows="">
<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo htmlspecialchars($value['std']); } ?>
</textarea>
</tr></td>
<tr><td>
<a style="float:left;background:#f8f8f8;padding:10px;border:1px solid #cccccc;" href="<?php echo get_option('siteurl') ?>" target="wp-preview" id="post-preview" tabindex="4">Browser <?php _e('Preview'); ?> Banner</a>
<input type="hidden" name="wp-preview" id="wp-preview" value="" />
</tr></td>
</table>
</div> 
</div> <br />
<!-- end setting banner 125x125 -->
<div class="stuffbox" style="width:100%;">
<p style="width:98.8%;padding:5px;background:#8E8E8E;color:#ffffff;"><strong>Pages Menu Setting</strong></p>

<table width="100%" border="0">
<?php break;  // menu, breadcrumbs, title, description, excerpt and logo setting
case"optionmenu":
?>
<tr><td>
<p style="margin:0;padding:0;"><strong style="margin:0 10px;">Pages menu options</strong></p> 
</td></tr>
<tr> 
<td>
<input style="width:auto;margin:0 8px;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_option( $value['id'] ) != "") { echo get_option( $value['id'] ); } else { echo $value['std']; } ?>" /></td>              
<td style="width:900px;text-align:left;margin:0;">Insert your pages id separated by comma, if you want appear this in menu (e.g. 2,45,32).</td>          
</tr>
<?php break; 
case"checkboxlogin":
?>
<table width="100%" border="0">
<tr><td>
<?php if(get_option($value['id'])){ 
$checked ="checked=\"checked\""; 
} else { $checked =""; } ?>
<input style="margin:0 5px;" type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
Enabled login button in menu.
</td></tr>
<?php break;
case"checkboxregister":
?>
<tr><td>
<?php if(get_option($value['id'])){ 
$checked ="checked=\"checked\""; 
} else { $checked =""; } ?>
<input style="margin:0 5px;" type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
Enabled register button in menu.
</td></tr>

<?php break;
case"checkboxhome":
?>
<tr><td>
<?php if(get_option($value['id'])){ 
$checked ="checked=\"checked\""; 
} else { $checked =""; } ?>
<input style="margin:0 5px;" type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
Desabled home button in menu.
</td></tr>


</table>
 

</div>
<?php break; 
case"optionbreadcrumbs":
?>
<div class="stuffbox" style="width:100%;">
<p style="width:98.8%;padding:5px;background:#8E8E8E;color:#ffffff;"><strong>Breadcrumbs Or Social Icons Setting</strong>
</p>
<table width="100%">

<tr>
<td>
<input style="margin:0 5px;" type="radio" name="<?php echo $value['id']; ?>" type="radio" id="<?php echo $value['id']; ?>" value="1" 
<?php if(get_option( $value['id']) =="1") { echo" checked=\"checked\""; } ?>/></td>
<td style="width:100%;text-align:left;"><b>Check This If You Would Like social icons bar enabled.</b></td>
</tr>

<tr>

<td>
<input style="margin:0 5px;" type="radio" name="<?php echo $value['id']; ?>" type="radio" id="<?php echo $value['id']; ?>" value="2" 
<?php if(get_option( $value['id']) =="2") { echo" checked=\"checked\""; } ?>/></td>
<td style="border:none;width:100%;text-align:left;"><b>Check This If You Would Like breadcrumbs enabled.</b></td>

</tr>
</table>
<?php if ( get_option('pxio_option_breadcrumbs') == "2" ) { ?>
<div style="padding:5px 0 5px 0;width:100%; background:#FFFEEB; display:block;">
<?php } else { ?> 
<div style="width:100%; display:none;">
<?php } ?>
<table width="100%" border="0">
<p style="margin:0;padding:0;widht:98.8%;">
<span style="margin:0 10px;">You have checked breadcrumbs feature, the optimal structure utilize this options in "Settings → Permalinks panel":
</span><br /><br />
<span style="padding:5px;background:#8E8E8E;color:#ffffff;margin:0 10px;">default</span>
<span style="padding:5px;background:#8E8E8E;color:#ffffff;margin:0 10px;">date and name based</span>
<span style="padding:5px;background:#8E8E8E;color:#ffffff;margin:0 10px;">month and name</span><br /><br />
<strong style="margin:0 10px;">Is recommended not use in "Settings → Permalinks panel" the numeric option or optional category base and tag base
</strong><strong style="margin:0 10px;">customisation.</strong><br /><br />
<span style="margin:0 10px;">See <a target="_blank" href="http://codex.wordpress.org/Using_Permalinks">http://codex.wordpress.org/Using_Permalinks</a>
</span></p>
</table> 
</div>
<?php if ( get_option('pxio_option_breadcrumbs') == "1" ) { ?>
<div style="width:100%; background:#FFFEEB; display:block;">
<?php } else { ?> 
<div style="width:100%; display:none;">
<?php } ?>

<p style="padding:10px;">You have checked social icons bar, now check icon box and fill in on field your social link.
</p>

<?php if(get_option($value['id'])){ 
$checked ="checked=\"checked\""; 
} else { $checked =""; } ?>
<table width="100%" border="0" style="padding:5px 10px;">
<?php break;
case "checkbox1":
?>
<tr><td>
<?php if(get_option($value['id'])){ 
$checked ="checked=\"checked\""; 
} else { $checked =""; } ?>
<input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?>/></td>
<?php break;
case"link1":
?>
<td style="width:200px;text-align:left;"><strong>
<?php echo $value['name']; ?></strong></td><td>
<input style="width:300px;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_option( $value['id'] ) !="") { echo get_option( $value['id'] ); } else { echo $value['std']; } ?>" /></td>
<?php break;
case"checkbox2":
?>
</tr>
<tr><td>
<?php if(get_option($value['id'])){ 
$checked ="checked=\"checked\""; 
} else { $checked =""; } ?>
<input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?>/></td>
<?php break;
case"link2":
?>
<td style="width:200px;text-align:left;"><strong>
<?php echo $value['name']; ?></strong></td><td>
<input style="width:300px;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_option( $value['id'] ) !="") { echo get_option( $value['id'] ); } else { echo $value['std']; } ?>" /></td>
</tr>
<?php break;
case"checkbox3":
?>
</tr>
<tr><td>
<?php if(get_option($value['id'])){ 
$checked ="checked=\"checked\""; 
} else { $checked =""; } ?>
<input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> /></td>
<?php break;
case"link3":
?>
<td style="width:200px;text-align:left;"><strong>
<?php echo $value['name']; ?></strong></td><td>
<input style="width:300px;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_option( $value['id'] ) !="") { echo get_option( $value['id'] ); } else { echo $value['std']; } ?>" /></td>
</tr>
<?php break;
case"checkbox3":
?>
</tr>
<tr><td>
<?php if(get_option($value['id'])){ 
$checked ="checked=\"checked\""; 
} else { $checked =""; } ?>
<input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> /></td>
<?php break;
case"link3":
?>
<td style="width:200px;text-align:left;"><strong>
<?php echo $value['name']; ?></strong></td><td>
<input style="width:300px;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_option( $value['id'] ) !="") { echo get_option( $value['id'] ); } else { echo $value['std']; } ?>" /></td>
</tr>
<?php break;
case"checkbox4":
?>
</tr>
<tr><td>
<?php if(get_option($value['id'])){ 
$checked ="checked=\"checked\""; 
} else { $checked =""; } ?>
<input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> /></td>
<?php break;
case"link4":
?>
<td style="width:200px;text-align:left;"><strong>
<?php echo $value['name']; ?></strong></td><td>
<input style="width:300px;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_option( $value['id'] ) !="") { echo get_option( $value['id'] ); } else { echo $value['std']; } ?>" /></td>
</tr>
<?php break;
case"checkbox5":
?>
</tr>
<tr><td>
<?php if(get_option($value['id'])){ 
$checked ="checked=\"checked\""; 
} else { $checked =""; } ?>
<input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?>/></td>
<?php break;
case"link5":
?>
<td style="width:200px;text-align:left;"><strong>
<?php echo $value['name']; ?></strong></td><td>
<input style="width:300px;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_option( $value['id'] ) !="") { echo get_option( $value['id'] ); } else { echo $value['std']; } ?>" /></td>
</tr>
<?php break;
case"checkbox6":
?>
</tr>
<tr><td>
<?php if(get_option($value['id'])){ 
$checked ="checked=\"checked\""; 
} else { $checked =""; } ?>
<input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?>/></td>
<?php break;
case"link6":
?>
<td style="width:200px;text-align:left;"><strong>
<?php echo $value['name']; ?></strong></td><td>
<input style="width:300px;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_option( $value['id'] ) !="") { echo get_option( $value['id'] ); } else { echo $value['std']; } ?>" /></td>
</tr>
<?php break;
case"checkbox7":
?>
</tr>
<tr><td>
<?php if(get_option($value['id'])){ 
$checked ="checked=\"checked\""; 
} else { $checked =""; } ?>
<input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?>/></td>
<?php break;
case"link7":
?>
<td style="width:200px;text-align:left;"><strong>
<?php echo $value['name']; ?></strong></td><td>
<input style="width:300px;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_option( $value['id'] ) !="") { echo get_option( $value['id'] ); } else { echo $value['std']; } ?>" /></td>
</tr>
<?php break;
case"checkbox8":
?>
</tr>
<tr><td>
<?php if(get_option($value['id'])){ 
$checked ="checked=\"checked\""; 
} else { $checked =""; } ?>
<input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?>/></td>
<?php break;
case"link8":
?>
<td style="width:200px;text-align:left;"><strong>
<?php echo $value['name']; ?></strong></td><td>
<input style="width:300px;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_option( $value['id'] ) !="") { echo get_option( $value['id'] ); } else { echo $value['std']; } ?>" /></td>
</tr>
<?php break;
case"checkbox9":
?>
</tr>
<tr><td>
<?php if(get_option($value['id'])){ 
$checked ="checked=\"checked\""; 
} else { $checked =""; } ?>
<input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?>/></td>
<?php break;
case"link9":
?>
<td style="width:200px;text-align:left;"><strong>
<?php echo $value['name']; ?></strong></td><td>
<input style="width:300px;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_option( $value['id'] ) !="") { echo get_option( $value['id'] ); } else { echo $value['std']; } ?>" /></td>
</tr>
<?php break;
case"checkbox10":
?>
</tr>
<tr><td>
<?php if(get_option($value['id'])){ 
$checked ="checked=\"checked\""; 
} else { $checked =""; } ?>
<input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?>/></td>
<?php break;
case"link10":
?>
<td style="width:200px;text-align:left;"><strong>
<?php echo $value['name']; ?></strong></td><td>
<input style="width:300px;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_option( $value['id'] ) !="") { echo get_option( $value['id'] ); } else { echo $value['std']; } ?>" /></td>
</tr>
<?php break;
case"checkbox11":
?>
</tr>
<tr><td>
<?php if(get_option($value['id'])){ 
$checked ="checked=\"checked\""; 
} else { $checked =""; } ?>
<input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?>/></td>
<?php break;
case"link11":
?>
<td style="width:200px;text-align:left;"><strong>
<?php echo $value['name']; ?></strong></td><td>
<input style="width:300px;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_option( $value['id'] ) !="") { echo get_option( $value['id'] ); } else { echo $value['std']; } ?>" /></td>
</tr>
<?php break;
case"checkbox12":
?>
</tr>
<tr><td>
<?php if(get_option($value['id'])){ 
$checked ="checked=\"checked\""; 
} else { $checked =""; } ?>
<input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?>/></td>
<?php break;
case"link12":
?>
<td style="width:200px;text-align:left;"><strong>
<?php echo $value['name']; ?></strong></td><td>
<input style="width:300px;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_option( $value['id'] ) !="") { echo get_option( $value['id'] ); } else { echo $value['std']; } ?>" /></td>
</tr>
<?php break;
case"checkbox13":
?>
</tr>
<tr><td>
<?php if(get_option($value['id'])){ 
$checked ="checked=\"checked\""; 
} else { $checked =""; } ?>
<input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?>/></td>
<?php break;
case"link13":
?>
<td style="width:200px;text-align:left;"><strong>
<?php echo $value['name']; ?></strong></td><td>
<input style="width:300px;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_option( $value['id'] ) !="") { echo get_option( $value['id'] ); } else { echo $value['std']; } ?>" /></td>
</tr>
<?php break;
case"checkbox14":
?>
</tr>
<tr><td>
<?php if(get_option($value['id'])){ 
$checked ="checked=\"checked\""; 
} else { $checked =""; } ?>
<input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?>/></td>
<?php break;
case"link14":
?>
<td style="width:200px;text-align:left;"><strong>
<?php echo $value['name']; ?></strong></td><td>
<input style="width:300px;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_option( $value['id'] ) !="") { echo get_option( $value['id'] ); } else { echo $value['std']; } ?>" /></td>
</tr>
<?php break;
case"checkbox15":
?>
</tr>
<tr><td>
<?php if(get_option($value['id'])){ 
$checked ="checked=\"checked\""; 
} else { $checked =""; } ?>
<input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?>/></td>
<?php break;
case"link15":
?>
<td style="width:200px;text-align:left;"><strong>
<?php echo $value['name']; ?></strong></td><td>
<input style="width:300px;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_option( $value['id'] ) !="") { echo get_option( $value['id'] ); } else { echo $value['std']; } ?>" /></td>
</tr>
<?php break;
case"checkbox16":
?>
</tr>
<tr><td>
<?php if(get_option($value['id'])){ 
$checked ="checked=\"checked\""; 
} else { $checked =""; } ?>
<input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?>/></td>
<?php break;
case"link16":
?>
<td style="width:200px;text-align:left;"><strong>
<?php echo $value['name']; ?></strong></td><td>
<input style="width:300px;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_option( $value['id'] ) !="") { echo get_option( $value['id'] ); } else { echo $value['std']; } ?>" /></td>
</tr>
<?php break;
case"checkbox17":
?>
</tr>
<tr><td>
<?php if(get_option($value['id'])){ 
$checked ="checked=\"checked\""; 
} else { $checked =""; } ?>
<input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?>/></td>
<?php break;
case"link17":
?>
<td style="width:200px;text-align:left;"><strong>
<?php echo $value['name']; ?></strong></td><td>
<input style="width:300px;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_option( $value['id'] ) !="") { echo get_option( $value['id'] ); } else { echo $value['std']; } ?>" /></td>
</tr>
<?php break;
case"checkbox18":
?>
</tr>
<tr><td>
<?php if(get_option($value['id'])){ 
$checked ="checked=\"checked\""; 
} else { $checked =""; } ?>
<input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?>/></td>
<?php break;
case"link18":
?>
<td style="width:200px;text-align:left;"><strong>
<?php echo $value['name']; ?></strong></td><td>
<input style="width:300px;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_option( $value['id'] ) !="") { echo get_option( $value['id'] ); } else { echo $value['std']; } ?>" /></td>
</tr>
<?php break;
case"checkbox19":
?>
</tr>
<tr><td>
<?php if(get_option($value['id'])){ 
$checked ="checked=\"checked\""; 
} else { $checked =""; } ?>
<input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?>/></td>
<?php break;
case"link19":
?>
<td style="width:200px;text-align:left;"><strong>
<?php echo $value['name']; ?></strong></td><td>
<input style="width:300px;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_option( $value['id'] ) !="") { echo get_option( $value['id'] ); } else { echo $value['std']; } ?>" /></td>
</tr>
<?php break;
case"checkbox20":
?>
</tr>
<tr><td>
<?php if(get_option($value['id'])){ 
$checked ="checked=\"checked\""; 
} else { $checked =""; } ?>
<input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?>/></td>
<?php break;
case"link20":
?>
<td style="width:200px;text-align:left;"><strong>
<?php echo $value['name']; ?></strong></td><td>
<input style="width:300px;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_option( $value['id'] ) !="") { echo get_option( $value['id'] ); } else { echo $value['std']; } ?>" /></td>
</tr>
<?php break;
case"checkbox21":
?>
</tr>
<tr><td>
<?php if(get_option($value['id'])){ 
$checked ="checked=\"checked\""; 
} else { $checked =""; } ?>
<input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?>/></td>
<?php break;
case"link21":
?>
<td style="width:200px;text-align:left;"><strong>
<?php echo $value['name']; ?></strong></td><td>
<input style="width:300px;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_option( $value['id'] ) !="") { echo get_option( $value['id'] ); } else { echo $value['std']; } ?>" /></td>
</tr>
<?php break;
case"checkbox22":
?>
</tr>
<tr><td>
<?php if(get_option($value['id'])){ 
$checked ="checked=\"checked\""; 
} else { $checked =""; } ?>
<input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?>/></td>
<?php break;
case"link22":
?>
<td style="width:200px;text-align:left;"><strong>
<?php echo $value['name']; ?></strong></td><td>
<input style="width:300px;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_option( $value['id'] ) !="") { echo get_option( $value['id'] ); } else { echo $value['std']; } ?>" /></td>
</tr>
<?php break;
case"checkbox23":
?>
</tr>
<tr><td>
<?php if(get_option($value['id'])){ 
$checked ="checked=\"checked\""; 
} else { $checked =""; } ?>
<input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?>/></td>
<?php break;
case"link23":
?>
<td style="width:200px;text-align:left;"><strong>
<?php echo $value['name']; ?></strong></td><td>
<input style="width:300px;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_option( $value['id'] ) !="") { echo get_option( $value['id'] ); } else { echo $value['std']; } ?>" /></td>
</tr>
<?php break;
case"checkbox24":
?>
</tr>
<tr><td>
<?php if(get_option($value['id'])){ 
$checked ="checked=\"checked\""; 
} else { $checked =""; } ?>
<input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?>/></td>
<?php break;
case"link24":
?>
<td style="width:200px;text-align:left;"><strong>
<?php echo $value['name']; ?></strong></td><td>
<input style="width:300px;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_option( $value['id'] ) !="") { echo get_option( $value['id'] ); } else { echo $value['std']; } ?>" /></td>
</tr>
<!-- end icons setting -->
</table>

</div>
</div>


<?php break;
case "optionheader":
?>
<div class="stuffbox" style="width:100%;">
<p style="width:98.8%;padding:5px;background:#8E8E8E;color:#ffffff;"><strong>Title, Description, Logo Setting</strong>
</p>
<table width="100%" border="0" style="padding:0;">

<tr><td>
<input style="margin:0 5px;" type="radio" name="<?php echo $value['id']; ?>" type="radio" id="<?php echo $value['id']; ?>" value="1" 
<?php if(get_option( $value['id']) =="1") { echo" checked=\"checked\""; } ?>checked="checked" /></td>
<td style="width:100%;text-align:left;"><b>Check This If You Would Like Your Default Description And Title (check by default)</b></td>
</tr>
<tr><td>
<input style="margin:0 5px;" type="radio" name="<?php echo $value['id']; ?>" type="radio" id="<?php echo $value['id']; ?>" value="2" 
<?php if(get_option( $value['id']) =="2") { echo" checked=\"checked\""; } ?>/></td>
<td style="width:100%;text-align:left;"><b>Check This If You Would Like insert your image logo into header (after setting image logo).</b></td>
</tr>
</table>

<?php if ( get_option('pxio_option_header') == "2" ) { ?>
<div style="padding:0;width:100%; display:block;background:#FFFEEB;">
<?php } else { ?> 
<div style="width:100%; display:none;">
<?php } ?> 
<?php break;
case "logo":
?>
<div style="padding:0 10px 10px 10px;overflow:hidden;">    
<p><strong>Setting image logo:</strong><br />
Before do you need upload your image in the "logo" folder under "palmixio" template directory theme, after insert the name your image file and set the options, now click "Save changes" you have a preview your image logo, logo.png is only a example file.
</p>
<table>          
<tr>       
<td style="width:25.3%;text-align:left;">Logo image name:</td><td>              
<input style="width:280px;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_option( $value['id'] ) != "") { echo get_option( $value['id'] ); } else { echo $value['std']; } ?>" /></td>            
<td style="width:220px;text-align:left;">(e.g. filename.png)</td>          
          </tr>        
        </table>
<?php break;
case "logowidth":
?>        
        <table>          
          <tr>            
<td style="width:25.3%;text-align:left;">Pixel Width:</td><td>              
<input style="width:280px;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_option( $value['id'] ) != "") { echo get_option( $value['id'] ); } else { echo $value['std']; } ?>" /></td>            
<td style="width:220px;text-align:left;">560 pixel by default</td>          
          </tr>        
        </table>
<?php break;
case "logoheight":
                ?>        
<table>          
<tr>           
<td style="width:25.3%;text-align:left;">Pixel Height:</td><td>              
<input style="width:280px;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_option( $value['id'] ) != "") { echo get_option( $value['id'] ); } else { echo $value['std']; } ?>" /></td>            
<td style="width:220px;text-align:left;">121 pixel by default</td>          
</tr>        
</table>
<?php break;
case "logomargintop":
                ?>        
<table>          
<tr>            
<td style="width:25.3%;text-align:left;">Pixel Margin Top:</td><td>              
<input style="width:280px;} ?> " name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_option( $value['id'] ) != "") { echo get_option( $value['id'] ); } else { echo $value['std']; } ?>" /></td>            
<td style="width:220px;text-align:left;">40 pixel by default</td>          
</tr>        <?php if ( get_option('pxio_option_header') == "2" ) { ?>
<div style="width:100%; display:block;">
<?php } else { ?> 
<div style="width:100%; display:none;">
<?php } ?> 
</table>
<?php break;
case "logomarginleft":
?>        
<table>          
<tr>            
<td style="width:25.3%;text-align:left;">Pixel Margin Left:</td><td>              
<input style="width:280px;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_option( $value['id'] ) != "") { echo get_option( $value['id'] ); } else { echo $value['std']; } ?>" /></td>            
<td style="width:220px;text-align:left;">20 pixel by default</td>          
</tr>        
</table>
<?php break;
case "logoalt":
?>        
<table>          
<tr>            
<td style="width:25.3%;text-align:left;">Logo Alt Title:</td><td>              
<input style="width:280px;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_option( $value['id'] ) != "") { echo get_option( $value['id'] ); } else { echo $value['std']; } ?>" /></td>              
<td style="width:220px;text-align:left;">Home by default</td>          
</tr>        
</table>
<?php break;
case "logolink":
?>        
<table>          
<tr>            
<td style="width:25.3%;text-align:left;">Logo Link:</td><td>              
<input style="width:280px;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_option( $value['id'] ) != "") { echo get_option( $value['id'] ); } else { echo $value['std']; } ?>" /></td>            
<td style="width:220px;text-align:left;">Your Home link by default</td>          
</tr>        
</table>        
<table>          
<tr><td>
<?php 
$logofile = get_bloginfo('template_directory').'/logo/'.get_option('pxio_logo_header'); 
// echo $logofile;
?>
<br /><div style="float:left;" >
<a style="background:#f8f8f8;padding:10px;border:1px solid #cccccc;" href="<?php echo get_option('siteurl') ?>" target="wp-preview" id="post-preview" tabindex="4">Browser <?php _e('Preview'); ?> Logo</a>
<input type="hidden" name="wp-preview" id="wp-preview" value="" />
<br /><br />
<?php $mtop = get_option('pxio_logo_margintop');
echo '<div style="background: url(' . get_template_directory_uri() . '/images/background-header.png) repeat top left;width: 100%;height:295px;position:relative;padding:0;margin:0;">
<div style="background: url(' . get_template_directory_uri() . '/images/backgroundmenu.png) repeat-x top left;width:100%;height:40px;padding:0;margin:0;"></div>';
?>
<?php          
echo '<img src="'.$logofile.'" style="margin:'. $mtop .'px '. get_option('pxio_logo_marginleft') .'px;border:0;" alt="'. get_option('pxio_logo_alt') .'" title="'. get_option('pxio_logo_alt') .'" height="'. get_option('pxio_logo_height') .'" width="'. get_option('pxio_logo_width') .'" /></div>'; 
?>
   
</div>  
</td></tr> 
</div>
           
</table> 

         

</div>
</div>
</div>
<?php
break;
case "thumb":
?>
<?php global $wp_version;
// echo substr($wp_version, 0, 3);
if ( version_compare( substr($wp_version, 0, 3), '2.9', '>=') ) { ?>
<div class="stuffbox" style="width:100%;">
<p style="width:98.8%;padding:5px;background:#8E8E8E;color:#ffffff;"><strong>Post Image Thumbnail Setting, this feature is only for Wordpress 2.9 or higher, your version <?php echo $wp_version; ?> is ok!</strong>
</p>
<table width="100%">
<tr>
<td>
<input style="margin:0 5px;" type="radio" name="<?php echo $value['id']; ?>" type="radio" id="<?php echo $value['id']; ?>" value="1" 
<?php if(get_option( $value['id']) =="1") { echo" checked=\"checked\""; } ?>checked="checked"/></td>
<td style="width:100%;text-align:left;"><b>Check This If You Would Like Post Image Thumbnail Desabled (check by default).</b></td>
</tr>
<tr>
<td>
<input style="margin:0 5px;" type="radio" name="<?php echo $value['id']; ?>" type="radio" id="<?php echo $value['id']; ?>" value="2" 
<?php if(get_option( $value['id']) =="2") { echo" checked=\"checked\""; } ?>/></td>
<td style="border:none;width:100%;text-align:left;"><b>Check This If You Would Like Post Image Thumbnail Enabled.</b></td>
</tr>
</table>
<?php } else { ?>
<p style="margin:0 10px;border:1px solid #8E8E8E;width:90.5%;padding:8px 5px 8px 50px;background: url(<?php echo get_template_directory_uri(); ?>/images/attention.png) no-repeat 5px center;color:#3f3f3f;"><strong>The feature "Post Image Thumbnail" (options and settings) is not disponible for your Wordpress version <?php echo $wp_version; ?>, this feature is only for Wordpress 2.9 or higher.</strong>
</p>
<?php } if ( get_option('pxio_thumb') == "2" ) { ?>
<div style="width:100%; height:auto; padding:10px 0 10px 0;background:#FFFEEB;">
<?php } else { ?> 
<div style="width:100%; display:none;">

<?php } 
break;
case "excerptorcontent":
if ( version_compare( substr($wp_version, 0, 3), '2.9', '>=') ) { ?>
<p style="margin:0;"><span style="margin:0 6px;">You have checked the feature post image thumbnail, now set this.</span></p>
<br /><br />
<table style="background:#FFFEEB;" width="100%">

<tr>
<td>
<input style="margin:0 5px;" type="radio" name="<?php echo $value['id']; ?>" type="radio" id="<?php echo $value['id']; ?>" value="1" 
<?php if(get_option( $value['id']) =="1") { echo" checked=\"checked\""; } ?>checked="checked"/></td>
<td style="width:100%;text-align:left;">display content into articles, if you use the &lt;!--more--&gt; tag to display ".. continue reading .." (check by default).</td>
</tr>
<tr>
<td>
<input style="margin:0 5px;" type="radio" name="<?php echo $value['id']; ?>" type="radio" id="<?php echo $value['id']; ?>" value="2" 
<?php if(get_option( $value['id']) =="2") { echo" checked=\"checked\""; } ?>/></td>
<td style="width:100%;text-align:left;">display excerpt into articles, usefull with image thumbnail (if you check this option is recommended you not utilize the &lt;!--more--&gt; tag into post).</td>
</tr>
</table>
<?php if(get_option('pxio_excerpt_content') == "2") {
function remove_more_jump_link($link) { 
$offset = strpos($link, '#more-');
if ($offset) {
$end = strpos($link, '"',$offset);
}
if ($end) {
$link = substr_replace($link, '', $offset, $end-$offset);
}
return $link;
}
add_filter('the_content_more_link', 'remove_more_jump_link');
} ?>
<br />
<?php } break;
case "excerptl": 
if ( version_compare( substr($wp_version, 0, 3), '2.9', '>=') ) { ?>
<table style="background:#FFFEEB;" width="100%">
<tr> 
<td>
<input style="width:25px;margin:0 4px;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_option( $value['id'] ) != "") { echo get_option( $value['id'] ); } else { echo $value['std']; } ?>" /></td>              
<td style="width:900px;text-align:left;margin:0;">Insert number of words in excerpt (70 by default).</td>          
</tr>

</table>
<br />
<?php } break;
case "alignthumbnail":
if ( version_compare( substr($wp_version, 0, 3), '2.9', '>=') ) { ?>
<table>
<tr>
<td>
<input style="margin:0 5px;" type="radio" name="<?php echo $value['id']; ?>" type="radio" id="<?php echo $value['id']; ?>" value="1" 
<?php if(get_option( $value['id']) =="1") { echo" checked=\"checked\""; } ?>checked="checked"/></td>
<td style="width:100%;text-align:left;">Align left thumbnail (check by default).</td>
</tr>
<tr>
<td>
<input style="margin:0 5px;" type="radio" name="<?php echo $value['id']; ?>" type="radio" id="<?php echo $value['id']; ?>" value="2" 
<?php if(get_option( $value['id']) =="2") { echo" checked=\"checked\""; } ?>/></td>
<td style="border:none;width:100%;text-align:left;">Align right thumbnail.</b></td>
</tr>
<tr>
<td>
<input style="margin:0 5px;" type="radio" name="<?php echo $value['id']; ?>" type="radio" id="<?php echo $value['id']; ?>" value="3" 
<?php if(get_option( $value['id']) =="3") { echo" checked=\"checked\""; } ?>/></td>
<td style="border:none;width:100%;text-align:left;">Align center thumbnail.</b></td>
</tr>
</table>
<br />
<?php } break;
case "paddingthumb": 
if ( version_compare( substr($wp_version, 0, 3), '2.9', '>=') ) { ?>
<table style="background:#FFFEEB;" width="100%">
<tr> 
<td>
<input style="width:25px;margin:0 4px;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_option( $value['id'] ) != "") { echo get_option( $value['id'] ); } else { echo $value['std']; } ?>" /></td>              
<td style="width:900px;text-align:left;margin:0;">size padding border thumbnail (15 pixel by default).</td>          
</tr>

</table>

<?php } break;
case "bordercolorthumb": 
if ( version_compare( substr($wp_version, 0, 3), '2.9', '>=') ) { ?>
<table style="background:#FFFEEB;" width="100%">
<tr> 
<td>
<input style="background:#<?php if ( get_option( $value['id'] ) != "") { echo get_option( $value['id'] ); } else { echo $value['std']; } ?>;width:25px;margin:0 4px;" name="" id="" type="" value="" /></td>              
<td>
<input style="width:60px;margin:0 4px;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_option( $value['id'] ) != "") { echo get_option( $value['id'] ); } else { echo $value['std']; } ?>" /></td>              
<td style="width:900px;text-align:left;margin:0;">border color thumbnail (default C4C6C5).</td>          

</tr>

</table>
<?php } break;
case "paddingcolorthumb": 
if ( version_compare( substr($wp_version, 0, 3), '2.9', '>=') ) { ?>
<table style="background:#FFFEEB;" width="100%">
<tr> 
<td>
<input style="background:#<?php if ( get_option( $value['id'] ) != "") { echo get_option( $value['id'] ); } else { echo $value['std']; } ?>;width:25px;margin:0 4px;" name="" id="" type="" value="" /></td>              
<td>
<input style="width:60px;margin:0 4px;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_option( $value['id'] ) != "") { echo get_option( $value['id'] ); } else { echo $value['std']; } ?>" /></td>              
<td style="width:900px;text-align:left;margin:0;">background color thumbnail (default EFEFEF).</td>          
</tr>
</table>
<br />
<?php } break;
case"imgthumb":
if ( version_compare( substr($wp_version, 0, 3), '2.9', '>=') ) { ?>
<table style="background:#FFFEEB;" width="100%">
<tr><td>
<?php if(get_option($value['id'])){ 
$checked ="checked=\"checked\""; 
} else { $checked =""; } ?>
<input style="margin:0 5px;" type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
Enabled background image in thumbnail (bgthumb.png in images folder).

</td></tr>
<table>
<br />
<?php } break;
case "thumbinpages":
if ( version_compare( substr($wp_version, 0, 3), '2.9', '>=') ) { ?>

<table style="border-top:1px solid #cecece;float:left;background:#FFFEEB;" width="40%">
<tr>
<td >
<?php if(get_option($value['id'])){ 
$checked ="checked=\"checked\""; 
} else { $checked =""; } ?>
<input style="margin:0 5px;" type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
Enabled thumbnail in pages.
</td></tr>
<tr>
<td>
<?php } ?>
<?php break;
case "thumbinsinglepage":
if ( version_compare( substr($wp_version, 0, 3), '2.9', '>=') ) { ?>
<?php if(get_option($value['id'])){ 
$checked ="checked=\"checked\""; 
} else { $checked =""; } ?>
<input style="margin:0 5px;" type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
Enabled thumbnail in single page.
</td></tr>
<tr><td>
<?php } ?>
<?php break;
case "thumbinsinglepost":
if ( version_compare( substr($wp_version, 0, 3), '2.9', '>=') ) { ?>
<?php if(get_option($value['id'])){ 
$checked ="checked=\"checked\""; 
} else { $checked =""; } ?>
<input style="margin:0 5px;" type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
Enabled thumbnail in single post.</td></tr>
<tr><td>
<?php } break;
case "thumbinarchives":
if ( version_compare( substr($wp_version, 0, 3), '2.9', '>=') ) { ?>
<?php if(get_option($value['id'])){ 
$checked ="checked=\"checked\""; 
} else { $checked =""; } ?>
<input style="margin:0 5px;" type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
Enabled thumbnail in archives.
</td>
</tr>
</tr>
</table>

<?php } break;
case "borderpages":
if ( version_compare( substr($wp_version, 0, 3), '2.9', '>=') ) { ?>
<table style="border-top:1px solid #cecece;float:left;background:#FFFEEB;" width="20%">
<tr>
<td >
<?php if(get_option($value['id'])){ 
$checked ="checked=\"checked\""; 
} else { $checked =""; } ?>
<input style="margin:0 5px;" type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
Enabled border.
</td></tr>
<tr>
<td>
<?php } ?>
<?php break;
case "bordersinglepage":
if ( version_compare( substr($wp_version, 0, 3), '2.9', '>=') ) { ?>
<?php if(get_option($value['id'])){ 
$checked ="checked=\"checked\""; 
} else { $checked =""; } ?>
<input style="margin:0 5px;" type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
Enabled border.
</td></tr>
<tr><td>
<?php } ?>
<?php break;
case "borderpost":
if ( version_compare( substr($wp_version, 0, 3), '2.9', '>=') ) { ?>
<?php if(get_option($value['id'])){ 
$checked ="checked=\"checked\""; 
} else { $checked =""; } ?>
<input style="margin:0 5px;" type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
Enabled border.</td></tr>
<tr><td>
<?php } break;
case "borderarchives":
if ( version_compare( substr($wp_version, 0, 3), '2.9', '>=') ) { ?>
<?php if(get_option($value['id'])){ 
$checked ="checked=\"checked\""; 
} else { $checked =""; } ?>
<input style="margin:0 5px;" type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
Enabled border.
</td>
</tr>
</tr>
</table>
<?php } break;
case "thumbsizepages":
if ( version_compare( substr($wp_version, 0, 3), '2.9', '>=') ) { ?>
<table style="border-top:1px solid #cecece;float:left;background:#cecece;color:#3f3f3f;" width="40%">
<tr>
<td>
<input style="margin:0 5px;" type="radio" name="<?php echo $value['id']; ?>" type="radio" id="<?php echo $value['id']; ?>" value="1" 
<?php if(get_option( $value['id']) =="1") { echo" checked=\"checked\""; } ?>checked="checked"/>
</td>
<td><strong>thumbnail</strong></td>
<td>
<input style="margin:0 5px;" type="radio" name="<?php echo $value['id']; ?>" type="radio" id="<?php echo $value['id']; ?>" value="2" 
<?php if(get_option( $value['id']) =="2") { echo" checked=\"checked\""; } ?>/>
</td>
<td><strong>medium</strong></td>
<td>
<input style="margin:0 5px;" type="radio" name="<?php echo $value['id']; ?>" type="radio" id="<?php echo $value['id']; ?>" value="3" 
<?php if(get_option( $value['id']) =="3") { echo" checked=\"checked\""; } ?>/>
</td>
<td><strong>full</strong></td>

</tr>
<?php } break;
case "thumbsizesinglepage":
if ( version_compare( substr($wp_version, 0, 3), '2.9', '>=') ) { ?>
<tr>
<td>
<input style="margin:0 5px;" type="radio" name="<?php echo $value['id']; ?>" type="radio" id="<?php echo $value['id']; ?>" value="1" 
<?php if(get_option( $value['id']) =="1") { echo" checked=\"checked\""; } ?>checked="checked"/>
</td>
<td><strong>thumbnail</strong></td>
<td>
<input style="margin:0 5px;" type="radio" name="<?php echo $value['id']; ?>" type="radio" id="<?php echo $value['id']; ?>" value="2" 
<?php if(get_option( $value['id']) =="2") { echo" checked=\"checked\""; } ?>/>
</td>
<td><strong>medium</strong></td>

<td>
<input style="margin:0 5px;" type="radio" name="<?php echo $value['id']; ?>" type="radio" id="<?php echo $value['id']; ?>" value="3" 
<?php if(get_option( $value['id']) =="3") { echo" checked=\"checked\""; } ?>/>
</td>
<td><strong>full</strong></td>


</tr>
<?php } break;
case "thumbsizesinglepost":
if ( version_compare( substr($wp_version, 0, 3), '2.9', '>=') ) { ?>
<tr>
<td>
<input style="margin:0 5px;" type="radio" name="<?php echo $value['id']; ?>" type="radio" id="<?php echo $value['id']; ?>" value="1" 
<?php if(get_option( $value['id']) =="1") { echo" checked=\"checked\""; } ?>checked="checked"/>
</td>
<td><strong>thumbnail</strong></td>
<td>
<input style="margin:0 5px;" type="radio" name="<?php echo $value['id']; ?>" type="radio" id="<?php echo $value['id']; ?>" value="2" 
<?php if(get_option( $value['id']) =="2") { echo" checked=\"checked\""; } ?>/>
</td>
<td><strong>medium</strong></td>
<td>
<input style="margin:0 5px;" type="radio" name="<?php echo $value['id']; ?>" type="radio" id="<?php echo $value['id']; ?>" value="3" 
<?php if(get_option( $value['id']) =="3") { echo" checked=\"checked\""; } ?>/>
</td>
<td><strong>full</strong></td>

</tr>

<?php } break;
case "thumbsizearchive":
if ( version_compare( substr($wp_version, 0, 3), '2.9', '>=') ) { ?>
<tr>
<td>
<input style="margin:0 5px;" type="radio" name="<?php echo $value['id']; ?>" type="radio" id="<?php echo $value['id']; ?>" value="1" 
<?php if(get_option( $value['id']) =="1") { echo" checked=\"checked\""; } ?>checked="checked"/>
</td>

<td><strong>thumbnail</strong></td>
<td>
<input style="margin:0 5px;" type="radio" name="<?php echo $value['id']; ?>" type="radio" id="<?php echo $value['id']; ?>" value="2" 
<?php if(get_option( $value['id']) =="2") { echo" checked=\"checked\""; } ?>/>
</td>
<td><strong>medium</strong></td>
<td>
<input style="margin:0 5px;" type="radio" name="<?php echo $value['id']; ?>" type="radio" id="<?php echo $value['id']; ?>" value="3" 
<?php if(get_option( $value['id']) =="3") { echo" checked=\"checked\""; } ?>/>
</td>
<td><strong>full</strong></td>

</tr>
</table>
<?php } ?>
</div>
</div>

<?php	
break;
} 
}
?>

<div style="clear:both;padding:0;margin:0;">
<p style="margin:20px 5px;padding:0;float:left;display:inline;"  class="submit">
<input name="save" type="submit" value="Save changes" /> 
<input type="hidden" name="action" value="save" />
</p>
</form>
<form method="post">
<p style="margin:20px 5px;padding:0;float:left;display:inline;"  class="submit">
<input name="reset" type="submit" value="Reset" />
<input type="hidden" name="action" value="reset" />
</p>
</form>
</div>


<br /><br />
<?php
}
add_action('admin_menu', 'mytheme_add_admin'); 

?>
