<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
  <head>
    <meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>"  />
    <title>
<?php if (is_home () ) { bloginfo('name'); echo " | "; bloginfo('description'); 
} elseif (is_category() ) {single_cat_title(); echo " | "; bloginfo('name');
} elseif (is_single() || is_page() ) {single_post_title(); echo " | "; bloginfo('name');
} elseif (is_search() ) {bloginfo('name'); ?> | <?php echo _e("Search Results");?>: <?php echo wp_specialchars($s);
} elseif (is_tag() ) {bloginfo('name'); ?>, Tag | <?php echo single_tag_title();
} else { wp_title('',true); }?>
    </title>
    <?php 
global $options; // This code retrieves all our Palmixio options. ?>
<?php foreach ($options as $value) {
if (get_option( $value['id'] ) === FALSE) { $$value['id'] = $value['std']; } else { $$value['id'] = get_option( $value['id'] ); }
} 
?>     
    <meta name="generator" content="WordPress <?php bloginfo('version'); ?>" />
    <link rel="stylesheet" href="<?php bloginfo('stylesheet_url'); ?>" type="text/css" media="screen" />
<?php if ($pxio_border_pages_t !== 'false' || $pxio_border_archives_t !== 'false' || $pxio_border_post_t !== 'false' || $pxio_border_page_t !== 'false') { ?>
<style type='text/css'>
.mybgthumbnail { 
border:1px solid #<?php echo $pxio_border_color_thumbnail; ?>;
padding:<?php echo $pxio_padding_thumbnail; ?>px; 
background:#<?php echo $pxio_bg_color_thumbnail; ?> <?php if($pxio_bg_img_thumbnail !== 'false') { ?>url(<?php echo get_bloginfo('template_directory'); ?>/images/bgthumb.png) repeat top left<?php } ?>; 
}
</style>  
<?php } else { ?>

<?php } ?>  
    <link rel="alternate" type="application/rss+xml" title="<?php bloginfo('name'); ?> RSS Feed" href="<?php bloginfo('rss2_url'); ?>" />
    <link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
    <?php if ( is_singular() ) wp_enqueue_script( 'comment-reply' ); ?>
    <?php wp_head(); ?>
    <!-- this product is released under General Public License. You can find details about the license at http://www.opensource.org/licenses/gpl-license.php -->    
    <!--[if IE 5]>
        <link rel="stylesheet" href="<?php bloginfo('template_directory'); ?>/ie5.css" type="text/css" media="screen" />
        <![endif]-->    
    <!--[if IE 6]>
        <link rel="stylesheet" href="<?php bloginfo('template_directory'); ?>/ie6.css" type="text/css" media="screen" />
        <![endif]-->    
    <!--[if IE 7]>
        <link rel="stylesheet" href="<?php bloginfo('template_directory'); ?>/ie7.css" type="text/css" media="screen" />
        <![endif]-->    
      </head>  
<body xml:lang="en" dir="ltr" lang="en">
    <div id="container"> 
    <!-- begin header div -->     
      <div id="header">
             
<div id="bgmenu">
        <ul id="menu"><!-- start menu --> 
        <?php if($pxio_home === "false") { ?>         
          <li><a title="<?php bloginfo('name'); ?>" href="<?php bloginfo('url'); ?>/">Home</a></li>          
           <?php } else { ?><li style="margin:0;padding:0;"></li><?php }?>          
           <?php if($pxio_login !== "false")  {  ?>        
           <li><?php wp_loginout(); ?></li> 
           <?php } 
           if($pxio_register !== "false") { ?>
           <?php wp_register('<li>', '</li>'); ?>      
           <?php } if($pxio_option_menu === "") { } else { wp_list_pages('include='.get_option('pxio_option_menu').'&title_li='); } ?>  
        </ul><!--  end menu  --> 
</div> 
        <div id="logo"> <!-- begin title, description, logo  -->        
          <?php if ($pxio_option_header == "1") { ?>
          <?php if ( is_single() ) {?><h2>       
          <a title="<?php bloginfo('name'); ?>" href="<?php bloginfo('url'); ?>/"><?php bloginfo('name'); ?></a></h2><br />          
          <?php } else { ?><h1>            
            <a title="<?php bloginfo('name'); ?>" href="<?php bloginfo('url'); ?>/"><?php bloginfo('name'); ?></a></h1><br />          
          <?php } ?>
          <p>"<?php bloginfo('description'); ?>...."</p>             
          <?php } elseif ($pxio_option_header == "2") { ?>
<!-- begin logo image -->
<a href="<?php echo $pxio_logo_link; ?>" title="<?php echo $pxio_logo_alt; ?>"><img style="border:0;position:absolute;margin:<?php echo $pxio_logo_margintop; ?>px <?php echo $pxio_logo_marginleft; ?>px;" src="<?php bloginfo('template_directory'); ?>/logo/<?php echo get_option('pxio_logo_header'); ?>" width="<?php echo $pxio_logo_width; ?>" height="<?php echo $pxio_logo_height; ?>" alt="<?php echo $pxio_logo_alt; ?>" /></a> 
<!-- end logo image -->

<?php } else { // default setting
if ( is_single() ) { ?>
<h2><a title="<?php bloginfo('name'); ?>" href="<?php bloginfo('url'); ?>/"><?php bloginfo('name'); ?></a></h2><br />          
          <?php } else { ?><h1>            
            <a title="<?php bloginfo('name'); ?>" href="<?php bloginfo('url'); ?>/"><?php bloginfo('name'); ?></a></h1><br />          
          <?php } ?>
           <p>"<?php bloginfo('description'); ?>...."</p>             
          <?php } ?>
      </div>        
         
        <div id="contentsearch">          
          <?php include (TEMPLATEPATH . '/mysearchform.php'); ?>          
          <div id="feedarticles">            
            <a rel="nofollow" title="<?php _e("Entries") ?> (RSS)" href="<?php bloginfo('rss2_url'); ?>">              
              <img alt="<?php _e("Entries") ?> (RSS)" src="<?php bloginfo('template_directory'); ?>/images/feed-articles.png" width="87" height="90" /></a>          
          </div>          
          <div id="feedcomments">            
            <a rel="nofollow" title="<?php _e("Comments") ?> (RSS)" href="<?php bloginfo('comments_rss2_url'); ?>">              
              <img alt="<?php _e("Comments") ?> (RSS)" src="<?php bloginfo('template_directory'); ?>/images/feed-comments.png" width="87" height="90" /></a>          
          </div>        
        </div> 
        <!-- end title, description, and logo -->

   <?php if ($pxio_option_breadcrumbs == "1") { ?>
   <!-- begin socialicon -->        
        <?php include (TEMPLATEPATH . '/icons.php'); ?> 
        <!-- end socialicon ul -->  
      <?php } elseif ($pxio_option_breadcrumbs == "2") { ?>
      <!-- begin  breadcrumbs -->     

      <ul id="breadcrumbsmenu">
<?php breadcrumbs(); ?>   
</ul> <!--  end breadcrumbs -->
<?php } ?>
      </div>      
      <!-- end header div -->
<div id="headershadow">
      </div>
